Labels
Create a label
POST
/labels
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.kirim.chat/v1/labels"
payload := strings.NewReader("{ \"team_id\": \"example\", \"name\": \"example\", \"color\": \"gray\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.kirim.chat/v1/labels';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"team_id":"example","name":"example","color":"gray"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.kirim.chat/v1/labels";
let payload = json!({ "team_id": "example", "name": "example", "color": "gray" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Authorization", "Bearer <token>".parse().unwrap()); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.kirim.chat/v1/labels \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "team_id": "example", "name": "example", "color": "gray" }'Create a label. Single-team orgs auto-resolve team_id; multi-team orgs MUST pass it. Names are unique per team — duplicates return invalid_field_value.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ” Media type application/json
object
team_id
string
name
required
string
color
string
Responses
Section titled “ Responses ”Label created
Media type application/json
object
data
required
object
id
required
string
object
required
string
name
required
string
color
required
string
team_id
required
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
request_id
required
string
Example
{ "data": { "id": "lbl_01HXYZABCDEFGHJKMNPQRSTVWX", "object": "label", "color": "gray" }}Validation failure
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Authentication failure
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Rate limit exceeded
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}Internal server error
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
request_id
required
string
Example
{ "error": { "type": "invalid_request_error", "code": "invalid_phone_number", "request_id": "req_01HXYZABCDEFGHJKMNPQRSTVWX" }}